<?
function win2utf($str) 
{ 
  $utf = ""; 
  for($i = 0; $i < strlen($str); $i++) 
  { 
    $donotrecode = false; 
    $c = ord(substr($str, $i, 1)); 
    if ($c == 0xA8) $res = 0xD081; 
    elseif ($c == 0xB8) $res = 0xD191; 
    elseif ($c < 0xC0) $donotrecode = true; 
    elseif ($c < 0xF0) $res = $c + 0xCFD0; 
    else $res = $c + 0xD090; 
    $utf .= ($donotrecode) ? chr($c) : (chr($res >> 8) . chr($res & 0xff)); 
  } 
  return $utf; 
}
function strlen2($str)
{
if (function_exists('mb_strlen')) return mb_strlen($str, 'utf-8');
if (function_exists('iconv_strlen')) return iconv_strlen($str, 'utf-8');
if (function_exists('utf8_decode')) return strlen(utf8_decode($str));
return strlen(utf_to_win($str));
}

function head(){
$id = num($_SESSION['id']);
$result = mysql_query("SELECT COUNT(`id`) FROM `profile` WHERE `id` = '$id'");
@$user = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `id` = '$id'"));
@$config = mysql_fetch_assoc(mysql_query("SELECT * FROM `config`"));
header("Content-type:text/html; charset=utf-8");
echo '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />';
echo '<title>'.$config['title'].'</title>';
$icon = 'vesna';
echo '<link rel="stylesheet" href="http://'.$_SERVER['HTTP_HOST'].'/style/vesna.css" type="text/css" />';
}
function translit_1($str) {
$str = strtr($str, array ('a' => 'а','b' => 'б','v' => 'в','g' => 'г','d' => 'д','e' => 'е','yo' => 'ё','zh' => 'ж','z' => 'з','i' => 'и','j' => 'й','k' => 'к','l' => 'л','m' => 'м','n' => 'н','o' => 'о','p' => 'п','r' => 'р','s' => 'с','t' => 'т','u' => 'у','f' => 'ф','h' => 'х','c' => 'ц','ch' => 'ч','w' => 'ш','sh' => 'щ','q' => 'ъ','y' => 'ы','x' => 'э','yu' => 'ю','ya' => 'я','A' => 'А','B' => 'Б','V' => 'В','G' => 'Г','D' => 'Д','E' => 'Е','YO' => 'Ё','ZH' => 'Ж','Z' => 'З','I' => 'И','J' => 'Й','K' => 'К','L' => 'Л','M' => 'М','N' => 'Н','O' => 'О','P' => 'П','R' => 'Р','S' => 'С','T' => 'Т','U' => 'У','F' => 'Ф','H' => 'Х','C' => 'Ц','CH' => 'Ч','W' => 'Ш','SH' => 'Щ','Q' => 'Ъ','Y' => 'Ы','X' => 'Э','YU' => 'Ю','YA' => 'Я'));
return $str;
}
function translit_2($str) {
$str = strtr($str, array ('а' => 'a','б' => 'b','в' => 'v','г' => 'g','д' => 'd','е' => 'e','ё' => 'e','ж' => 'j','з' => 'z','и' => 'i','й' => 'i','к' => 'k','л' => 'l','м' => 'm','н' => 'n','о' => 'o','п' => 'p','р' => 'r','с' => 's','т' => 't','у' => 'u','ф' => 'f','х' => 'h','ц' => 'c','ч' => 'ch','ш' => 'sh','щ' => 'sch','ъ' => "",'ы' => 'y','ь' => "",
'э' => 'ye','ю' => 'yu','я' => 'ya'));
return $str;
}
function get_id()
{
if(isset($_GET['id'])){
if(!preg_match("|^[\d]+$|",$_GET['id']))
{
echo 'Неверный формат запроса! Проверьте URL!';
navig();
foot();
exit;
}
}
}
function get_post()
{
if(isset($_GET['post'])){
if(!preg_match("|^[\d]+$|",$_GET['post']))
{
echo 'Неверный формат запроса! Проверьте URL!';
navig();
foot();
exit;
}
}
}
function get_room()
{
if(isset($_GET['room'])){
if(!preg_match("|^[\d]+$|",$_GET['room']))
{
echo 'Неверный формат запроса! Проверьте URL!';
navig();
foot();
exit;
}
}
}
function get_user()
{
if(isset($_GET['user'])){
if(!preg_match("|^[\d]+$|",$_GET['user']))
{
echo 'Неверный формат запроса! Проверьте URL!';
navig();
foot();
exit;
}
}
}
function menu(){
    echo "[<a href=\"".$_SESSION['id']."\">моя стр.</a>] [<a href=\"mail.php\">почта</a>]<br/>[<a href=\"chat.php?room=1\">Центр общения</a>]";
}
function foot(){
    @$config = mysql_fetch_assoc(mysql_query("SELECT * FROM `config`"));
if ($id_session)
echo '</div></div><div class="footer"><div align="center">[<a href="http://'.$_SERVER['HTTP_HOST'].'/mark.php?url='.$_SERVER [REQUEST_URI].'">В закладки</a>]</div>';
else
echo '</div></div><div class="footer">'.$config['cop'].'</div><div align="center">';
$_SESSION['perexod'] = $_SESSION['perexod']+1;
echo 'Переходов: '.$_SESSION['perexod'].'';
echo '</div><center><a href="http://wap.top.wapstart.ru/?s=18949"><img src="http://counter.wapstart.ru/index.php?c=21733;b=1;r=0;s=21733" alt="Каталог сайтов Top.WapStart.ru" title="Каталог сайтов Top.WapStart.ru" /></a><script type="text/javascript" src="http://mobtop.ru/c/12712.js"></script><noscript><a href="http://mobtop.ru/in/12712"><img src="http://mobtop.ru/12712.gif" alt="MobTop.Ru - рейтинг мобильных сайтов"/></a></noscript></center>';
echo '</body></html>';
}
function pod_navig(){
if($_SESSION['id']){
echo "</div></div><div align=\"center\"><div class=\"razdel\"><a href='".$_SERVER['HTTP_REFERER']."'>Назад</a> | <a href=\"http://".$_SERVER['HTTP_HOST']."/enter.php\">Прихожая</a> | <a href=\"http://".$_SERVER['HTTP_HOST']."/cabinet.php\">ЛК</a> | <a href=\"http://".$_SERVER['HTTP_HOST']."/mail.php\">Письма</a> | <a href=\"http://".$_SERVER['HTTP_HOST']."/online.php\">Кто где?</a></div>";
}else{
echo "</div></div><div align=\"center\"><div class=\"razdel\"><a href='".$_SERVER['HTTP_REFERER']."'>Назад</a> | <a href=\"http://".$_SERVER['HTTP_HOST']."/\">Главная</a></div>";    
}
}
function navig(){
echo "</div></div><div align=\"center\"><div class=\"razdel\"><a href='".$_SERVER['HTTP_REFERER']."'>Назад</a> | <a href=\"http://".$_SERVER['HTTP_HOST']."/enter.php\">Прихожая</a> | <a href=\"http://".$_SERVER['HTTP_HOST']."/cabinet.php\">ЛК</a> | <a href=\"http://".$_SERVER['HTTP_HOST']."/mail.php\">Письма</a> | <a href=\"http://".$_SERVER['HTTP_HOST']."/online.php\">Кто где?</a></div>";
}
function navigation($allpage,$query,$flp,$expanded)
{

$this_page = (isset($_GET['p'])) ? intval($_GET['p']) : 1 ;
if($this_page < 1 || $this_page > $allpage)$this_page = 1;
$prev_page = $this_page-1;
$pprev_page = $this_page-2;
$next_page = $this_page+1;
$nnext_page = $this_page+2;
if($this_page>2 && $flp == 1) $var .= "<a href='".str_replace('{p}',1,$query)."'>1</a> ... ";
if($pprev_page > 1 && $expanded == 1) $var .= "<a href='".str_replace('{p}',$pprev_page,$query)."'>$pprev_page</a> ";
$var .= ($prev_page < 1) ? "" : "<a href='".str_replace('{p}',$prev_page,$query)."'>$prev_page</a> ";
$var .= "<strong>$this_page</strong>";
$var .= ($next_page > $allpage) ? "" : " <a href='".str_replace('{p}',$next_page,$query)."'>$next_page</a>";
if($nnext_page < $allpage && $expanded == 1) $var .= " <a href='".str_replace('{p}',$nnext_page,$query)."'>$nnext_page</a>";
if($this_page<$allpage-1 && $flp == 1) $var .= " ... <a href='".str_replace('{p}',$allpage,$query)."'>$allpage</a>";
   
echo $var;
}
/*
####Проверка чисел####
function num($str)
{
return abs(intval($str));
}*/
/*
####Фильтр XSS####
function html($str)
{
return strtr(htmlspecialchars(stripcslashes($str),ENT_QUOTES,'UTF-8'), array('$'=>'$','%'=>'%','_'=>'_'));
}*/
####Фильтр SQLinj####
function ms($str)
{
return mysql_escape_string(trim(addslashes($str)));
}
####BB КОДЫ####
function parsebb ($bb) {
$bb = preg_replace( "#\[b\](.+?)\[/b\]#is", "<strong>\\1</strong>", $bb );
$bb = preg_replace( "#\[ct\](.+?)\[/ct\]#is", "<div class='z'>\\1<div/>", $bb );
$bb = preg_replace( "#\[sub\](.+?)\[/sub\]#is", "<sub>\\1</sub>", $bb );
$bb = preg_replace( "#\[sup\](.+?)\[/sup\]#is", "<sup>\\1</sup>", $bb );
$bb = preg_replace( "#\[small\](.+?)\[/small\]#is", "<span class=\"small\">\\1</span>", $bb );
$bb = preg_replace( "#\[cit\](.+?)\[/cit\]#is", "<div class=\"ct\">\\1</div>", $bb );
$bb = preg_replace( "#\[i\](.+?)\[/i\]#is", "<em>\\1</em>", $bb );
$bb = preg_replace( "#\[u\](.+?)\[/u\]#is", "<span style=\"text-decoration:underline;\">\\1</span>", $bb );
$bb = preg_replace( "#\[color=(\#[0-9A-F]{3,6}|[a-z\-]+)\](.*)\[/color]#is", "<span style=\"color: \\1\">\\2</span>", $bb );
$bb = preg_replace( "#\[s\](.+?)\[/s\]#is", "<del>\\1</del>", $bb );
$bb = preg_replace( "#(^|[\n ])([\w]+?://[\w\#$%&~/.\-;:=,?@\[\]+]*)#is", "\\1<a href=\"\\2\" target=\"_blank\">\\2</a>", $bb);
$bb = preg_replace( "#(^|[\n ])((www|ftp)\.[\w\#$%&~/.\-;:=,?@\[\]+]*)#is", "\\1<a href=\"http://\\2\" target=\"_blank\">\\2</a>", $bb);
return $bb;
}
####BB коды админу####
function adminbb ($bb) {
$bb = preg_replace( "#\\[url=(.*?)\\](.*?)\\[/url\\]#is", "<a href=\"\\1\" target=\"_blank\">\\2</a>", $bb );
$bb = preg_replace( "#\[hr\]#is", "<hr/>", $bb );
$bb = preg_replace( array ('#\[code\](.*?)\[\/code\]#se'), array ("''.highlight('$1').''"), str_replace("]\n", "]", $bb));
$bb = preg_replace( "#\[form\](.+?)\[/form\]#is", "<input value=\"\\1\">", $bb );
$bb = preg_replace( "~\\[img\](.+?)\[/img\]~", "<a href=\"\\1\"><img src=\"".$home."/inc/resize.php?image=\\1\" alt=\"Картинка\" /></a>", $bb );
$bb = preg_replace( "~\\[p\](.+?)\[/p\]~", "<img src=\"\\1\" alt=\"Картинка\" />", $bb );
$bb = preg_replace( "#\[c\](.+?)\[/c\]#is", "<center>\\1</center>", $bb );
$bb = preg_replace( "#\[left\](.+?)\[/left\]#is", "<div align=\"left\">\\1</div>", $bb );
$bb = preg_replace( "#\[right\](.+?)\[/right\]#is", "<div align=\"right\">\\1</div>", $bb );
return $bb;
}
/* Вывод отображения размера файла */
function size($size)
{
	if($size >= 1073741824)
	$size = round($size/1073741824*100) / 100 .' Gb';
	elseif($size >= 1048576)
	$size = round($size/1048576*100) / 100 .' Mb';
	elseif($size >= 1024)
	$size = round($size/1024*100) / 100 .' Kb';
	else $size = round($size).' b';
	return $size;
}
function t($string)
{
 $day = floor($string / 86400);
  $hours = floor(($string / 3600) - $day * 24);
  $min = floor(($string - $hours * 3600 - $day * 86400) / 60);
  $sec = $string - ($min * 60 + $hours * 3600 + $day * 86400);

  return sprintf("%01d дн %02d час %02d мин %02d сек", $day, $hours, $min, $sec);
}
function maketime($string) {
if($string < 3600){
$string = sprintf("%02d:%02d", (int)($string / 60) % 60, $string % 60);
}else{
$string = sprintf("%02d:%02d:%02d", (int)($string / 3600) % 24, (int)($string / 60) % 60, $string % 60);
};
return $string;
};

////////Градиент
function GradientLetter($text, $from='', $to='', $mode = 'hex') {
$text = iconv("UTF-8", "windows-1251", $text);
if ($mode == 'hex') {
$to = hexdec($to['0'].$to['1']).','.hexdec($to['2'].$to['3']).','.hexdec($to['4'].$to['5']);
$from = hexdec($from['0'].$from['1']).",".hexdec($from['2'].$from['3']).",".hexdec($from['4'].$from['5']);
}
if (empty($text)) return null; else $levels = strlen($text);
if (empty($from)) $from = array(0, 0, 255); else $from = explode(',', $from);
if (empty($to)) $to = array(255, 0, 0); else $to = explode(',', $to);	$output = null;
for ($i = 1; $i <= $levels; $i++) {
for ($ii = 0; $ii < 3; $ii++) {
$tmp[$ii] = $from[$ii] - $to[$ii];
$tmp[$ii] = floor($tmp[$ii] / $levels);
$rgb[$ii] = $from[$ii] - ($tmp[$ii] * $i);
if ($rgb[$ii] > 255) $rgb[$ii] = 255;
$rgb[$ii] = dechex($rgb[$ii]);
$rgb[$ii] = strtoupper($rgb[$ii]);
if (strlen($rgb[$ii]) < 2) $rgb[$ii] = '0'.$rgb[$ii];
}
$output .= '<span style="color: #'.$rgb['0'].$rgb['1'].$rgb['2'].'">'.$text[$i-1].'</span>';
}
return iconv("windows-1251",  "UTF-8", $output);
}
//////////Чистка комнат
if($config['chistka']==1)
{
$chat = mysql_result(mysql_query("SELECT count(*) FROM `chat_msg`"), 0);
if($chat>=$config['posts']){
mysql_query("DELETE FROM `chat_msg`");

$result = mysql_query("SELECT * FROM room");
while($room = mysql_fetch_assoc($result)){
$msg = 'Комнаты очищены.';
mysql_query("INSERT INTO `chat_msg` SET `msg` = '".$msg."', `login` = '2', `room` = '".$room['id']."', `date` = '".$t."', `pr_ot` = '2'");
}
}
}
////////Генератор пароля
function passgen($k_simb=8) {
$password="";
$small="abcdefghijklmnopqrstuvwxyz";
$large="ABCDEFGHIJKLMNOPQRSTUVWXYZ";
$numbers="1234567890";
mt_srand((double)microtime()*1000000);
for ($i=0; $i<$k_simb; $i++) {
$type=mt_rand(1,3);
switch ($type) {
case 1:
$password.=$large[mt_rand(0,25)];
break;
case 2:
$password.=$small[mt_rand(0,25)];
break;
case 3:
$password.=$numbers[mt_rand(0,9)];
break;}}return $password;}
//////////Информация о юзере
function user ($id) {
    $id = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `id` = '".$id."'"));
    if (empty($id))
    $user = '[Удален]';
    else
    $user =  '<a href="http://'.$_SERVER['HTTP_HOST'].'/'.$id['id'].'">'.$id['login'].'</a>';
    return $user;
}

//////////xstatus
function xstatus ($xstatus, $user) {
    
    $result = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `id` = '".$user."'"));
    
    if ($result['time'] > time()) {
    if( empty($xstatus) ) {
        
        if ($result['time'] > time()) {
            $res = '<a href="http://'.$_SERVER['HTTP_HOST'].'/xstatus.php?user='.$result['id'].'"><img src="http://'.$_SERVER['HTTP_HOST'].'/status/on.gif" alt=""/></a>';
        } else {
            $res = '<img src="http://'.$_SERVER['HTTP_HOST'].'/status/off.gif" alt=""/>';
        }
    }
    
    if($xstatus == 2) $res = '<a href="http://'.$_SERVER['HTTP_HOST'].'/xstatus.php?user='.$result['id'].'"><img src="http://'.$_SERVER['HTTP_HOST'].'/xstatus/2.png" alt=""/></a>';
    if($xstatus == 3) $res = '<a href="http://'.$_SERVER['HTTP_HOST'].'/xstatus.php?user='.$result['id'].'"><img src="http://'.$_SERVER['HTTP_HOST'].'/xstatus/3.png" alt=""/></a>';
    if($xstatus == 4) $res = '<a href="http://'.$_SERVER['HTTP_HOST'].'/xstatus.php?user='.$result['id'].'"><img src="http://'.$_SERVER['HTTP_HOST'].'/xstatus/4.png" alt=""/></a>';
    if($xstatus == 5) $res = '<a href="http://'.$_SERVER['HTTP_HOST'].'/xstatus.php?user='.$result['id'].'"><img src="http://'.$_SERVER['HTTP_HOST'].'/xstatus/5.png" alt=""/></a>';
    if($xstatus == 6) $res = '<a href="http://'.$_SERVER['HTTP_HOST'].'/xstatus.php?user='.$result['id'].'"><img src="http://'.$_SERVER['HTTP_HOST'].'/xstatus/6.png" alt=""/></a>';
    if($xstatus == 7) $res = '<a href="http://'.$_SERVER['HTTP_HOST'].'/xstatus.php?user='.$result['id'].'"><img src="http://'.$_SERVER['HTTP_HOST'].'/xstatus/7.png" alt=""/></a>';
    if($xstatus == 8) $res = '<a href="http://'.$_SERVER['HTTP_HOST'].'/xstatus.php?user='.$result['id'].'"><img src="http://'.$_SERVER['HTTP_HOST'].'/xstatus/8.png" alt=""/></a>';
    if($xstatus == 9) $res = '<a href="http://'.$_SERVER['HTTP_HOST'].'/xstatus.php?user='.$result['id'].'"><img src="http://'.$_SERVER['HTTP_HOST'].'/xstatus/9.png" alt=""/></a>';
    if($xstatus == 10) $res = '<a href="http://'.$_SERVER['HTTP_HOST'].'/xstatus.php?user='.$result['id'].'"><img src="http://'.$_SERVER['HTTP_HOST'].'/xstatus/10.png" alt=""/></a>';
    if($xstatus == 11) $res = '<a href="http://'.$_SERVER['HTTP_HOST'].'/xstatus.php?user='.$result['id'].'"><img src="http://'.$_SERVER['HTTP_HOST'].'/xstatus/11.png" alt=""/></a>';
    if($xstatus == 12) $res = '<a href="http://'.$_SERVER['HTTP_HOST'].'/xstatus.php?user='.$result['id'].'"><img src="http://'.$_SERVER['HTTP_HOST'].'/xstatus/12.png" alt=""/></a>';
    if($xstatus == 13) $res = '<a href="http://'.$_SERVER['HTTP_HOST'].'/xstatus.php?user='.$result['id'].'"><img src="http://'.$_SERVER['HTTP_HOST'].'/xstatus/13.png" alt=""/></a>';
    if($xstatus == 14) $res = '<a href="http://'.$_SERVER['HTTP_HOST'].'/xstatus.php?user='.$result['id'].'"><img src="http://'.$_SERVER['HTTP_HOST'].'/xstatus/14.png" alt=""/></a>';
    if($xstatus == 15) $res = '<a href="http://'.$_SERVER['HTTP_HOST'].'/xstatus.php?user='.$result['id'].'"><img src="http://'.$_SERVER['HTTP_HOST'].'/xstatus/15.png" alt=""/></a>';
    if($xstatus == 16) $res = '<a href="http://'.$_SERVER['HTTP_HOST'].'/xstatus.php?user='.$result['id'].'"><img src="http://'.$_SERVER['HTTP_HOST'].'/xstatus/16.png" alt=""/></a>';
    if($xstatus == 17) $res = '<a href="http://'.$_SERVER['HTTP_HOST'].'/xstatus.php?user='.$result['id'].'"><img src="http://'.$_SERVER['HTTP_HOST'].'/xstatus/17.png" alt=""/></a>';
    if($xstatus == 18) $res = '<a href="http://'.$_SERVER['HTTP_HOST'].'/xstatus.php?user='.$result['id'].'"><img src="http://'.$_SERVER['HTTP_HOST'].'/xstatus/18.png" alt=""/></a>';
    if($xstatus == 19) $res = '<a href="http://'.$_SERVER['HTTP_HOST'].'/xstatus.php?user='.$result['id'].'"><img src="http://'.$_SERVER['HTTP_HOST'].'/xstatus/19.png" alt=""/></a>';
    if($xstatus == 20) $res = '<a href="http://'.$_SERVER['HTTP_HOST'].'/xstatus.php?user='.$result['id'].'"><img src="http://'.$_SERVER['HTTP_HOST'].'/xstatus/20.png" alt=""/></a>';
    if($xstatus == 21) $res = '<a href="http://'.$_SERVER['HTTP_HOST'].'/xstatus.php?user='.$result['id'].'"><img src="http://'.$_SERVER['HTTP_HOST'].'/xstatus/21.png" alt=""/></a>';
    if($xstatus == 22) $res = '<a href="http://'.$_SERVER['HTTP_HOST'].'/xstatus.php?user='.$result['id'].'"><img src="http://'.$_SERVER['HTTP_HOST'].'/xstatus/22.png" alt=""/></a>';
    if($xstatus == 23) $res = '<a href="http://'.$_SERVER['HTTP_HOST'].'/xstatus.php?user='.$result['id'].'"><img src="http://'.$_SERVER['HTTP_HOST'].'/xstatus/23.png" alt=""/></a>';
    if($xstatus == 24) $res = '<a href="http://'.$_SERVER['HTTP_HOST'].'/xstatus.php?user='.$result['id'].'"><img src="http://'.$_SERVER['HTTP_HOST'].'/xstatus/24.png" alt=""/></a>';
    if($xstatus == 25) $res = '<a href="http://'.$_SERVER['HTTP_HOST'].'/xstatus.php?user='.$result['id'].'"><img src="http://'.$_SERVER['HTTP_HOST'].'/xstatus/25.png" alt=""/></a>';
    if($xstatus == 26) $res = '<a href="http://'.$_SERVER['HTTP_HOST'].'/xstatus.php?user='.$result['id'].'"><img src="http://'.$_SERVER['HTTP_HOST'].'/xstatus/26.png" alt=""/></a>';
    if($xstatus == 27) $res = '<a href="http://'.$_SERVER['HTTP_HOST'].'/xstatus.php?user='.$result['id'].'"><img src="http://'.$_SERVER['HTTP_HOST'].'/xstatus/27.png" alt=""/></a>';
    if($xstatus == 28) $res = '<a href="http://'.$_SERVER['HTTP_HOST'].'/xstatus.php?user='.$result['id'].'"><img src="http://'.$_SERVER['HTTP_HOST'].'/xstatus/28.png" alt=""/></a>';
    if($xstatus == 29) $res = '<a href="http://'.$_SERVER['HTTP_HOST'].'/xstatus.php?user='.$result['id'].'"><img src="http://'.$_SERVER['HTTP_HOST'].'/xstatus/29.png" alt=""/></a>';
    if($xstatus == 30) $res = '<a href="http://'.$_SERVER['HTTP_HOST'].'/xstatus.php?user='.$result['id'].'"><img src="http://'.$_SERVER['HTTP_HOST'].'/xstatus/30.png" alt=""/></a>';
    if($xstatus == 31) $res = '<a href="http://'.$_SERVER['HTTP_HOST'].'/xstatus.php?user='.$result['id'].'"><img src="http://'.$_SERVER['HTTP_HOST'].'/xstatus/31.png" alt=""/></a>';
    if($xstatus == 32) $res = '<a href="http://'.$_SERVER['HTTP_HOST'].'/xstatus.php?user='.$result['id'].'"><img src="http://'.$_SERVER['HTTP_HOST'].'/xstatus/32.png" alt=""/></a>';
    if($xstatus == 33) $res = '<a href="http://'.$_SERVER['HTTP_HOST'].'/xstatus.php?user='.$result['id'].'"><img src="http://'.$_SERVER['HTTP_HOST'].'/xstatus/33.png" alt=""/></a>';
    if($xstatus == 34) $res = '<a href="http://'.$_SERVER['HTTP_HOST'].'/xstatus.php?user='.$result['id'].'"><img src="http://'.$_SERVER['HTTP_HOST'].'/xstatus/34.png" alt=""/></a>';
    if($xstatus == 35) $res = '<a href="http://'.$_SERVER['HTTP_HOST'].'/xstatus.php?user='.$result['id'].'"><img src="http://'.$_SERVER['HTTP_HOST'].'/xstatus/35.png" alt=""/></a>';
    if($xstatus == 36) $res = '<a href="http://'.$_SERVER['HTTP_HOST'].'/xstatus.php?user='.$result['id'].'"><img src="http://'.$_SERVER['HTTP_HOST'].'/xstatus/36.png" alt=""/></a>';
    } else {
        $res = '<img src="http://'.$_SERVER['HTTP_HOST'].'/status/off.gif" alt=""/>';
    }
    return $res;
}

function getmicrotime()
{
list($usec, $sec) = explode(" ", microtime());
return ((float)$usec + (float)$sec);
}


function utf ($s) {
$russ=array("Й","Ц","У","К","Е","Н","Г","Ш","Щ","З","Х","Ъ","Ф","Ы","В","А","П","Р","О","Л","Д","Ж","Э","Я","Ч","С","М","И","Т","Ь","Б","Ю","й","ц","у","к","е","н","г","ш","щ","з","х","ъ","ф","ы","в","а","п","р","о","л","д","ж","э","я","ч","с","м","и","т","ь","б","ю","ё","Ё","№","«","»");
$uni=array("Р™","Р¦","РЈ","Рљ","Р•","Рќ","Р“","РЁ","Р©","Р—","РҐ","РЄ","Р¤","Р«","Р’","Рђ","Рџ","Р ","Рћ","Р›","Р”","Р–","Р­","РЇ","Р§","РЎ","Рњ","Р","Рў","Р¬","Р‘","Р®","Р№","С†","Сѓ","Рє","Рµ","РЅ","Рі","С€","С‰","Р·","С…","СЉ","С„","С‹","РІ","Р°","Рї","СЂ","Рѕ","Р»","Рґ","Р¶","СЌ","СЏ","С‡","СЃ","Рј","Рё","С‚","СЊ","Р±","СЋ","С‘","РЃ","#",'&quot;','&quot;');

for ($i=0;$i<strlen($s);$i++){
$numb=array_search($s[$i],$russ);
If ($numb!==false)
$n.=$uni[$numb];
else
$n.=$s[$i];
}
return $n;
}

function captcha($var) { 
    $b=strtr($var, array( '0'=>'нуль ', '1'=>'один ', '2'=>'два ', '3'=>'три ', '4'=>'четыри ', '5'=>'пять ', '6'=>'шесть ', '7'=>'семь ', '8'=>'восемь ', '9'=>'девять ' ));
return $b;
}
  


function smile($sm) { 
$result = mysql_query("SELECT * FROM smiles");
$smile = mysql_fetch_assoc($result);
do 
{ 

$sm=str_replace($smile["name"],"<img src='http://".$_SERVER['HTTP_HOST']."/smiles/".$smile["smile"]."' alt='$smile[name]'/>",$sm); 
$sm=str_replace($smile["name1"],"<img src='http://".$_SERVER['HTTP_HOST']."/smiles/".$smile["smile"]."' alt='$smile[name1]'/>",$sm);
$sm=str_replace($smile["name2"],"<img src='http://".$_SERVER['HTTP_HOST']."/smiles/".$smile["smile"]."' alt='$smile[name2]'/>",$sm);
$sm=str_replace($smile["name3"],"<img src='http://".$_SERVER['HTTP_HOST']."/smiles/".$smile["smile"]."' alt='$smile[name3]'/>",$sm);

} 
while ($smile = mysql_fetch_assoc($result)); 



return $sm; 
}

function mysmile($sm) {
    $user = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `id` = '".num($_SESSION['id'])."'"));
    if (!empty($user['lsmile'])) {
    $sm = str_replace('.my.', '<img src="http://'.$_SERVER['HTTP_HOST'].'/'.$user['lsmile'].'" alt="."/>', $sm);
    }
    if (!empty($user['lsmile2'])) {
    $sm = str_replace('.my2.', '<img src="http://'.$_SERVER['HTTP_HOST'].'/'.$user['lsmile2'].'" alt="."/>', $sm);
    }
    if (!empty($user['lsmile3'])) {
    $sm = str_replace('.my3.', '<img src="http://'.$_SERVER['HTTP_HOST'].'/'.$user['lsmile3'].'" alt="."/>', $sm);
    }
    return $sm; 
}

function antirek($msg) {/*
  $ex = explode(',', file_get_contents($_SERVER['DOCUMENT_ROOT'] . '/domains.dat'));

    foreach($ex as $value) {
            $is = '<b><span style="color: #FF0000;">[Реклама]</span></b>';
             $msg = preg_replace("/(.*?)(\s|\,|\.|\*|\_|\+)$value/si", $is, $msg);
    }*/
return $msg;
}

function aut () {
    
    if(empty($_SESSION['id'])) {
        echo head .  "<b>Вы не авторизованы</b>" . div . katalog;  
        echo '
        <center><form action="in.php" method="post" name="form">
        <b>Логин / ID:</b><br/>
        <input name="login" type="text"   maxlength="15" /><br/>
        <b>Пароль:</b> [<a href="pass.php">Забыли?</a>]<br/>
        <input name="pass" type="text"  maxlength="20" /><br/>
        Запомнить меня?: <input type="checkbox"  name="cook" value="1" /><br />
        <input class="button" name="submit" type="submit" class="button" value="Вход" /></form>';
        echo '<a href="reg.php"><b>Регистрация</b></a></center>';
    navig();
    foot();
    exit();

}

}


function colorl ( $login ) {
    if ( is_numeric($login) )
    $us = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `id` = '".num($login)."'"));
    else
    $us = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `login` = '".html($login)."'"));
    
    if ( $us['color_login'] == 0 ) $result= "<font color=\"#000000\">".$us['login']."</font>";
    if ( $us['color_login'] == 1 ) $result= "<font color=\"#FF0000\">".$us['login']."</font>";
    if ( $us['color_login'] == 2 ) $result= "<font color=\"#ffcc00\">".$us['login']."</font>";
    if ( $us['color_login'] == 3 ) $result= "<font color=\"#ffcc99\">".$us['login']."</font>";
    if ( $us['color_login'] == 4 ) $result= "<font color=\"#f5f5dc\">".$us['login']."</font>";
    if ( $us['color_login'] == 5 ) $result= "<font color=\"#808000\">".$us['login']."</font>";
    if ( $us['color_login'] == 6 ) $result= "<font color=\"#f4c430\">".$us['login']."</font>";
    if ( $us['color_login'] == 7 ) $result= "<font color=\"#ffff00\">".$us['login']."</font>";
    if ( $us['color_login'] == 8 ) $result= "<font color=\"#00ff00\">".$us['login']."</font>";
    if ( $us['color_login'] == 9 ) $result= "<font color=\"#ccff00\">".$us['login']."</font>";
    if ( $us['color_login'] == 10 ) $result= "<font color=\"#98ff98\">".$us['login']."</font>";
    if ( $us['color_login'] == 11 ) $result= "<font color=\"#c71585\">".$us['login']."</font>";
    if ( $us['color_login'] == 12 ) $result= "<font color=\"#ff00ff\">".$us['login']."</font>";
    if ( $us['color_login'] == 13 ) $result= "<font color=\"#ff4f00\">".$us['login']."</font>";
    if ( $us['color_login'] == 14 ) $result= "<font color=\"#ffc0cb\">".$us['login']."</font>";
    if ( $us['color_login'] == 15 ) $result= "<font color=\"#ff7518\">".$us['login']."</font>";
    if ( $us['color_login'] == 16 ) $result= "<font color=\"#007fff\">".$us['login']."</font>";
    if ( $us['color_login'] == 17 ) $result= GradientLetter("".$us['login']."", "FF0000", "0000ff");
    if ( $us['color_login'] == 18 ) $result= GradientLetter("".$us['login']."", "000000", "ff0000");
    if ( $us['color_login'] == 19 ) $result= "<font color=\"#4c5866\">".$us['login']."</font>";
    if ( $us['color_login'] == 20 ) $result= "<font color=\"#1c6b72\">".$us['login']."</font>";
    if ( $us['color_login'] == 21 ) $result= "<font color=\"#30d5c8\">".$us['login']."</font>";
    if ( $us['color_login'] == 22 ) $result= "<font color=\"#082567\">".$us['login']."</font>";
    if ( $us['color_login'] == 23 ) $result= GradientLetter("".$us['login']."", "735184", "517884");
    if ( $us['color_login'] == 24 ) $result= GradientLetter("".$us['login']."", "F90000", "00FF00");
    if ( $us['color_login'] == 25 ) $result= GradientLetter("".$us['login']."", "FF0000", "000000");
    if ( $us['color_login'] == 26 ) $result= GradientLetter("".$us['login']."", "EEE467", "384267");
    if ( $us['color_login'] == 27 ) $result= GradientLetter("".$us['login']."", "F7FF0D", "1E49E6");
    if ( $us['color_login'] == 28 ) $result= GradientLetter("".$us['login']."", "000000", "00FF00");
    if ( $us['color_login'] == 29 ) $result= GradientLetter("".$us['login']."", "EF33ED", "EFCAF1");
    if ( $us['color_login'] == 30 ) $result= GradientLetter("".$us['login']."", "030303", "EFCAF1");
    if ( $us['color_login'] == 31 ) $result= GradientLetter("".$us['login']."", "1C1C1C", "FFB90F");
    if ( $us['color_login'] == 32 ) $result= GradientLetter("".$us['login']."", "FF0000", "00F5FF");
    if ( $us['color_login'] == 33 ) $result= GradientLetter("".$us['login']."", "7D26CD", "FF7F24");
    if ( $us['color_login'] == 34 ) $result= GradientLetter("".$us['login']."", "000000", "E8E8E8");
    if ( $us['color_login'] == 35 ) $result= GradientLetter("".$us['login']."", "FF0000", "00F5FF");
    if ( $us['color_login'] == 36 ) $result= GradientLetter("".$us['login']."", "912CEE", "90EE90");
    if ( $us['color_login'] == 37 ) $result= GradientLetter("".$us['login']."", "00008B", "FFA500");
    if ( $us['color_login'] == 38 ) $result= GradientLetter("".$us['login']."", "000000", "4B0082");
    if ( $us['color_login'] == 39 ) $result= GradientLetter("".$us['login']."", "000080", "008000");
    if ( $us['color_login'] == 40 ) $result= GradientLetter("".$us['login']."", "696969", "DC143C");
    if ( $us['color_login'] == 41 ) $result= GradientLetter("".$us['login']."", "7CFC00", "#B22222");
    
    return $result;

    
}

function t2 ($a) {
    
    
    $result = date('[H:i]', $a);
    return $result;
}

function date2($times=NULL)
{
global $db, $_GET;
$timesp=date("j M  Y в H:i", $times);
$timesp = strtr($timesp, array ("Jan" => "Янв","Feb" => "Фев","Mar" => "Марта","May" => "Мая","Apr" => "Апр","Jun" => "Июня","Jul" => "Июля","Aug" => "Авг","Sep" => "Сент","Oct" => "Окт","Nov" => "Ноября","Dec" => "Дек",));
if (isset($_GET['timesp']))$timesp='03';
return $timesp;
}

function sp ( $sp, $sps ) {
    $us = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `id` = '".$sps."'"));
    
    if ( $sp == 0 ) $result = 'Не установлено';
    
    if ( $sp == 1 AND empty($sps) ) $result = 'Не замужем';
    if ( $sp == 2 AND empty($sps)  ) $result = 'Замужем';
    if ( $sp == 2 AND !empty($sps)  ) $result = 'Замужем с ' . user($us['id']);
    
    if ( $sp == 3 OR $sp == 9 AND empty($sps) ) $result = 'В активном поиске';
    
    if ( $sp == 4 OR $sp == 10 AND empty($sps) ) $result = 'Все сложно';
    if ( $sp == 4 OR $sp == 10 AND !empty($sps) ) $result = 'Все сложно с ' . user($us['id']);
    
    if ( $sp == 5 OR $sp == 11 AND empty($sps) ) $result = 'Бегаю';
    if ( $sp == 5 OR $sp == 11 AND !empty($sps) ) $result = 'Бегаю за ' . user($us['id']);
    
    if ( $sp == 6 OR $sp == 12 AND empty($sps) ) $result = 'Есть друг';
    if ( $sp == 6 OR $sp == 12 AND !empty($sps) ) $result = 'Встречаюсь с ' . user($us['id']);
    
    if ( $sp == 8 AND empty($sps) ) $result = 'Женат';
    if ( $sp == 8 AND !empty($sps) ) $result = 'Женат на ' . user($us['id']);
    if ( $sp == 7 AND !empty($sps) ) $result = 'Не женат';
    
    return $result;
}

function error ( $error ) {
    
    if ( $error == 'msg' ) {
        $result =  link1 . 'Повтор сообщения' . div;
    
    } else {
    
    $result =  link1 . 'Многократное повтороение сообщений' . div;
    }
    


    
    return $result;
}


//////////////Чистка комнат
/*
$config = mysql_fetch_assoc(mysql_query("SELECT * FROM `config`"));
if ( $config['room_clean'] < time() ) {
    
    mysql_query("DELETE FROM `chat_msg`");
    
    $result = mysql_query("SELECT * FROM room");
    while($room = mysql_fetch_assoc($result)){
        $msg = 'Комнаты очищены';
        mysql_query("INSERT INTO `chat_msg` SET `msg` = '".$msg."', `ot_login` = '".$bot['system']."', `room` = '".$room['id']."'");
    }
    
}*/

function nast($num) {
    
    if($num==0){$n= "Выключено";}
    if($num==1){$n= "Бодрое";}
    if($num==2){$n= "Прекрасное";}
    if($num==3){$n= "Весёлое";}
    if($num==4){$n= "Ангельское";}
    if($num==5){$n= "Агрессивное";}
    if($num==6){$n= "Изумленное";}
    if($num==7){$n= "Удивительное";}
    if($num==8){$n= "Злое";}
    if($num==9){$n= "Сердитое";}
    if($num==10){$n= "Сонное";}
    if($num==11){$n= "Озлобленное";}
    if($num==12){$n= "Скучающее";}
    if($num==13){$n= "Оживленное";}
    if($num==14){$n= "Угрюмое";}
    if($num==15){$n= "Размышляющее";}
    if($num==16){$n= "Занятое";}
    if($num==17){$n= "Нахальное";}
    if($num==18){$n= "Холодное";}
    if($num==19){$n= "Смущенное";}
    if($num==20){$n= "Крутое";}
    if($num==21){$n= "Дерзкое";}
    if($num==22){$n= "Непонятное";}
    if($num==23){$n= "Дьявольское";}
    if($num==24){$n= "Сварливое";}
    if($num==25){$n= "Счастливое";}
    if($num==26){$n= "Горячее";}
    if($num==27){$n= "Влюбленное";}
    if($num==28){$n= "Невинное";}
    if($num==29){$n= "Вдохновленное";}
    if($num==30){$n= "Одинокое";}
    if($num==31){$n= "Скрытое";}
    if($num==32){$n= "Пушистое";}
    if($num==33){$n= "Задумчивое";}
    if($num==34){$n= "Психоделическое";}
    if($num==35){$n= "Расслабленое";}
    if($num==36){$n= "Грустное";}
    if($num==37){$n= "Испуганное";}
    if($num==38){$n= "Шокированное";}
    if($num==39){$n= "Потрясенное";}
    if($num==40){$n= "Больное";}
    if($num==41){$n= "Хитрое";}
    if($num==42){$n= "Усталое";}
    if($num==43){$n= "Утомленное";}
    if($num==44){$n= "Изменчивое";}
    if($num==45){$n= "Пофигистическое";}
    
 return $n;
    
}

function rew($rew) {
    
    $url = html($rew);
    $result = header('Location: '.$url.'');
    $result = '<script language="JavaScript">window.location.href = "'.$url.'"</script>';
    #$result =  '<meta http-equiv="refresh" content="0; url='.$url.'">';
    return $result;
    
}    

function sex($a) {
    
    $b = num($a);
    
   
   if ($b == 1) $result = 'Мужской';
   elseif ($b == 0) $result = 'Женский';
   else $result = 'Не опредлен';
    
    return $result;
    
}   

function crc($a, $b, $c) {
    
    $country = mysql_fetch_assoc(mysql_query("SELECT * FROM `geo_countries` WHERE `country_id` = '".num($a)."'"));
    $region = mysql_fetch_assoc(mysql_query("SELECT * FROM `geo_regions` WHERE `region_id` = '".num($b)."'"));
    $city = mysql_fetch_assoc(mysql_query("SELECT * FROM `geo_cities` WHERE `city_id` = '".num($c)."'"));
    $result = ''.$city['city_name'].' ('.$country['country_name'].', '.$region['region_name'].')';
    return $result;
    
}   

function age ( $a, $b, $c ) {
    
    $day = $a;
    $month = $b;
    $year = $c;
    $hour=00;
    $min=00;
    
    if(strlen($day)==1)$day=0 .$day;
    $tim=mktime($hour, $min, 0, $month, $day, $year);
    $atim=time()-$tim;

    $y=(intval($atim/31556926));
    $result = $y;
    
    return $result;
}

function online($a) {
    
    if ($a == 'zodiak') $result = 'Знаки зодиака';
    elseif ($a == 'cabinet') $result = '<a href="http://'.$_SERVER['HTTP_HOST'].'/cabinet.php">В личном кабинете</a>';
    elseif ($a == 'faq') $result = '<a href="http://'.$_SERVER['HTTP_HOST'].'/faq.php">Читает FAQ</a>';
    elseif ($a == 'friends') $result = '<a href="http://'.$_SERVER['HTTP_HOST'].'/friends.php">Смотрит список друзей</a>';
    elseif ($a == 'magaz') $result = '<a href="http://'.$_SERVER['HTTP_HOST'].'/magaz/index.php">В магазине</a>';
    elseif ($a == 'ignore') $result = '<a href="http://'.$_SERVER['HTTP_HOST'].'/blacklist.php">Смотрит черный список</a>';
    elseif ($a == 'index') $result = '<a href="http://'.$_SERVER['HTTP_HOST'].'/index.php">На главной</a>';
    elseif ($a == 'mail') $result = '<a href="http://'.$_SERVER['HTTP_HOST'].'/mail.php">В личке</a>';
    elseif ($a == 'presents') $result = '<a href="http://'.$_SERVER['HTTP_HOST'].'/presents.php">Смотрит подарки</a>';
    elseif ($a == 'search') $result = '<a href="http://'.$_SERVER['HTTP_HOST'].'/search.php">В поиске</a>';
    elseif ($a == 'smiles') $result = '<a href="http://'.$_SERVER['HTTP_HOST'].'/smiles.php">Смотрти спиоок смайлов</a>';
    elseif ($a == 'stena') $result = 'Смотрит стену';
    elseif ($a == 'votes') $result = '<a href="http://'.$_SERVER['HTTP_HOST'].'/votes.php">В голосованиях</a>';
    elseif ($a == 'enter') $result = '<a href="http://'.$_SERVER['HTTP_HOST'].'/chat/index.php">В прихожей чата</a>';
    elseif ($a == 'clan') $result = '<a href="http://'.$_SERVER['HTTP_HOST'].'/clan/index.php">В группах</a>';
    elseif ($a == 'forum') $result = '<a href="http://'.$_SERVER['HTTP_HOST'].'/forum/index.php">На форуме</a>';
    elseif ($a == 'garem') $result = '<a href="http://'.$_SERVER['HTTP_HOST'].'/garem/index.php">В гареме</a>';
    elseif ($a == 'love') $result = '<a href="http://'.$_SERVER['HTTP_HOST'].'/love/index.php">В знакомствах</a>';
    elseif ($a == 'fo') $result = '<a href="http://'.$_SERVER['HTTP_HOST'].'/newobmen/index.php">В файлообменнике</a>';
    elseif ($a == 'photo') $result = '<a href="http://'.$_SERVER['HTTP_HOST'].'/photo/index.php">В фотоальбомах</a>';
    elseif ($a == 'online') $result = '<a href="http://'.$_SERVER['HTTP_HOST'].'/online.php">Смотрит Кто где</a>';
    elseif ($a == 'besedka') $result = '<a href="http://'.$_SERVER['HTTP_HOST'].'/besedka.php">В беседке</a>';
    elseif ($a == 'battle_royal') $result = '<a href="http://'.$_SERVER['HTTP_HOST'].'/battle_royal.php">Играет в битву королей</a>';
    elseif ($a == 'battle_royal_a') $result = 'В админке';
    elseif ($a == 'blacklist') $result = '<a href="http://'.$_SERVER['HTTP_HOST'].'/blacklist.php">Смотрит черный список</a>';
    elseif ($a == 'dr') $result = '<a href="http://'.$_SERVER['HTTP_HOST'].'/dr.php">Смотрит дни рождения</a>';
    elseif ($a == 'games') $result = '<a href="http://'.$_SERVER['HTTP_HOST'].'/games.php">Смотрит список игр</a>';
    elseif ($a == 'guest') $result = '<a href="http://'.$_SERVER['HTTP_HOST'].'/guest.php">В списке гостей</a>';
    elseif ($a == 'hisrating') $result = '<a href="http://'.$_SERVER['HTTP_HOST'].'/hisrating.php">Смотрит статистику рейтинга</a>';
    elseif ($a == 'info') $result = '<a href="http://'.$_SERVER['HTTP_HOST'].'/info.php">Ознакамливается с сайтом</a>';
    elseif ($a == 'korsar') $result = '<a href="http://'.$_SERVER['HTTP_HOST'].'/korsar.php">Играет в Корсары</a>';
    elseif ($a == 'korsar_a') $result = 'В админке';
    elseif ($a == 'my_city') $result = '<a href="http://'.$_SERVER['HTTP_HOST'].'/my_city.php">Играет в Мой город</a>';
    elseif ($a == 'my_city_a') $result = 'В админке';
    elseif ($a == 'my_nightclub') $result = '<a href="http://'.$_SERVER['HTTP_HOST'].'/my_nightclub.php">Играет в Мой ночной клуб</a>';
    elseif ($a == 'my_nightclub_a') $result = 'В админке';
    elseif ($a == 'news') $result = '<a href="http://'.$_SERVER['HTTP_HOST'].'/news.php">В новостях</a>';
    elseif ($a == 'restoran') $result = '<a href="http://'.$_SERVER['HTTP_HOST'].'/restoran.php">В новостях</a>';
    elseif ($a == 'restoran_a') $result = 'В админке';
    elseif ($a == 'simp') $result = 'Симпатизирует';
    elseif ($a == 'bar') $result = '<a href="http://'.$_SERVER['HTTP_HOST'].'/strip_bar.php">Играет в Стрип-Бар</a>';
    elseif ($a == 'bar_a') $result = 'В админке';
    elseif ($a == 'klad') $result = '<a href="http://'.$_SERVER['HTTP_HOST'].'/TDofS.php">Играет в Клад глубин морей</a>';
    elseif ($a == 'klad_a') $result = 'В админке';
    elseif ($a == 'top') $result = '<a href="http://'.$_SERVER['HTTP_HOST'].'/top.php">Смотрит ТОП</a>';
    elseif ($a == 'uvedom') $result = 'Смотрит уведомления';
    elseif ($a == 'panel') $result = 'В админке';
    elseif ($a == 'blog') $result = '<a href="http://'.$_SERVER['HTTP_HOST'].'/blog/index.php">В блогах</a>';
    elseif ($a == 'garem') $result = '<a href="http://'.$_SERVER['HTTP_HOST'].'/garem/index.php">В гареме</a>';
    elseif ($a == 'mafia') $result = '<a href="http://'.$_SERVER['HTTP_HOST'].'/mafia/index.php">Играет в Мафию</a>';
    elseif ($a == 'microblog') $result = '<a href="http://'.$_SERVER['HTTP_HOST'].'/microblog/index.php">В микроблогах</a>';
    elseif ($a == 'sivor') $result = '<a href="http://'.$_SERVER['HTTP_HOST'].'/sivor/index.php">В сыворотке правды</a>';
    elseif((strpos($a, 'theme') !== false)) {
        $a=strtr($a, array( 'theme'=>''));
        $theme = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_themes` WHERE `id` = '".$a."'"));
        $razdel = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_razdel` WHERE `id` = '".$theme['razdel_id']."'"));
        $podforum = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_podrazdel` WHERE `id` = '".$theme['pod_forum']."'"));
        $result = '<a href="http://'.$_SERVER['HTTP_HOST'].'/forum/forum.php?id='.$razdel['id'].'">'.$razdel['name'].'</a> >> <a href="http://'.$_SERVER['HTTP_HOST'].'/forum/themes.php?razdel='.$razdel['id'].'&pod_forum='.$podforum['id'].'">'.$podforum['name'].'</a> >> <a href="http://'.$_SERVER['HTTP_HOST'].'/forum/theme.php?razdel='.$razdel['id'].'&pod_forum='.$podforum['id'].'&theme='.$theme['id'].'"><b>'.$theme['name'].'</a></b>';
    }
        elseif((strpos($a, 'podforum') !== false)) {
        $a=strtr($a, array( 'podforum'=>''));
        $podforum = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_podrazdel` WHERE `id` = '".$a."'"));
        $razdel = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_razdel` WHERE `id` = '".$podforum['razdel_id']."'"));
        $result = '<a href="http://'.$_SERVER['HTTP_HOST'].'/forum/forum.php?id='.$razdel['id'].'">'.$razdel['name'].'</a> >> <b><a href="http://'.$_SERVER['HTTP_HOST'].'/forum/themes.php?razdel='.$razdel['id'].'&pod_forum='.$podforum['id'].'">'.$podforum['name'].'</a></b>';
    }
        elseif((strpos($a, 'forum') !== false)) {
        $a=strtr($a, array( 'forum'=>''));
        $razdel = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_razdel` WHERE `id` = '".$a."'"));
        $result = '<b><a href="http://'.$_SERVER['HTTP_HOST'].'/forum/forum.php?id='.$razdel['id'].'">'.$razdel['name'].'</a></b>';
    }
        elseif((strpos($a, 'room') !== false)) {
        $a=strtr($a, array( 'room'=>''));
        $room = mysql_fetch_assoc(mysql_query("SELECT * FROM `room` WHERE `id` = '".$a."'"));
        $result = 'В комнате <b><a href="http://'.$_SERVER['HTTP_HOST'].'/chat/chat.php?room='.$room['id'].'">'.$room['room'].'</a></b>';
    }
        elseif((strpos($a, 'user') !== false)) {
        $a=strtr($a, array( 'user'=>''));
        $user = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `id` = '".$a."'"));
        $result = 'Смотрит анкету <b><a href="http://'.$_SERVER['HTTP_HOST'].'/'.$user['id'].'">'.$user['login'].'</a></b>';
    }
    return $result;
}

function dr ( $a, $b, $c ) {
    
    $b = strtr($b, array( '0'=>'NO', '1'=>'января', '2'=>'февраля', '3'=>'марта', '4'=>'апреля', '5'=>'мая', '6'=>'июня', '7'=>'июля', '8'=>'августа', '9'=>'сентября', '10'=>'октября', '11'=>'ноября', '12'=>'декабря' ));

    $result = $a . ' ' . $b . ' ' . $c;
    return $result; 
    
}



function emo ( $a ) {
    
    if ( $a == 0 ) $result = NULL;
    elseif ( $a == 1 ) $result = '[Радостно]';
    elseif ( $a == 2 ) $result = '[Печально]';
    elseif ( $a == 3 ) $result = '[Удивительно]';
    elseif ( $a == 4 ) $result = '[Ласково]';
    elseif ( $a == 5 ) $result = '[Смущенно]';
    elseif ( $a == 6 ) $result = '[Кокетливо]';
    elseif ( $a == 7 ) $result = '[Обиженно]';
    elseif ( $a == 8 ) $result = '[Настойчиво]';
    elseif ( $a == 9 ) $result = '[Шепотом]';
    elseif ( $a == 10 ) $result = '[Задумчиво]';
    elseif ( $a == 11 ) $result = '[Злобно]';
    return '<b>'.$result.'</b>';
}

function colorp ( $msg, $color ) {
    if ( $color == 0 ) $result = $msg;
    if ( $color == 1 ) $result = '<font color="#ff0000">' . $msg . '</font>';
    if ( $color == 2 ) $result = '<font color="#0000ff">' . $msg . '</font>';
    if ( $color == 3 ) $result = '<font color="#34c924">' . $msg . '</font>';
    if ( $color == 4 ) $result = '<font color="#ffa500">' . $msg . '</font>';
    if ( $color == 5 ) $result = '<font color="#8b00ff">' . $msg . '</font>';
    if ( $color == 6 ) $result = '<font color="#ff47ca">' . $msg . '</font>';
    return $result;
}

function medali ($a) {
    
    if ( $a >= 200 OR $a <= 400 ) $result = '<img src="http://'.$_SERVER['HTTP_HOST'].'/medali/bronze.gif" alt=""/>';
    elseif ( $a >= 401 OR $a <= 800 ) $result = '<img src="http://'.$_SERVER['HTTP_HOST'].'/medali/silver.gif" alt=""/>';
    elseif ( $a >= 801 OR $a <= 1500 ) $result = '<img src="http://'.$_SERVER['HTTP_HOST'].'/medali/gold.gif" alt=""/>';
    elseif ( $a >= 1501 OR $a <= 3000 ) $result = '<img src="http://'.$_SERVER['HTTP_HOST'].'/medali/lafes_user.gif" alt=""/>';
    elseif ( $a >= 3001 ) $result = '<img src="http://'.$_SERVER['HTTP_HOST'].'/medali/konkurs.gif" alt=""/>';
    return $result;
}

function msg($url, $name) {
    
    $result = '<form action="'.$url.'" method="post" name="form"><textarea id="tarea" name="'.$name.'" cols="30" rows="5" style="width: 99%;"></textarea><br/><input name="submit" type="submit" class="button" value="Написать" /></form><a href="../smiles.php">Смайлы</a>';
    return $result;
}


function ng () {
    
$currHour=date("H",time());///////////
$currDate=date("d F Y", time());
$curr=date("i:s", time());
$currTime=date("$currHour:i:s", time());
$min=date("i", time());
$sek=date("s", time());

$currDate = str_replace("January","Января",$currDate);
$currDate = str_replace("February","Февраля",$currDate);
$currDate = str_replace("March","Марта",$currDate);
$currDate = str_replace("April","Апреля",$currDate);
$currDate = str_replace("May","Мая",$currDate);
$currDate = str_replace("June","Июня",$currDate);
$currDate = str_replace("July","Июля",$currDate);
$currDate = str_replace("August","Августа",$currDate);
$currDate = str_replace("September","Сентября",$currDate);
$currDate = str_replace("October","Октября",$currDate);
$currDate = str_replace("November","Ноября",$currDate);
$currDate = str_replace("December","Декабря",$currDate);
$dney        = date ("j");
$mes        = date ("n");

$dney= "1"-$dney-1; //День до kоторого нужно счuтать
$mes= "1"-$mes;  // Месяц до kоторого нужно счuтать
$ch =$currHour+1 ;
/// В данном случае счuтается до 8 марта
if ($dney < 0)
{
$dney = $dney + 31;
$mes = $mes - 1;
}

if ($mes < 0)
{

$mes = $mes + 12;
}

if ($currHour == "0") $chas = "часa";
if ($currHour == "1") $chas = "часa";
if ($currHour == "2") $chas = "час";
if ($currHour == "3") $chas = "часов";
if ($currHour == "4") $chas = "часов";
if ($currHour == "5") $chas = "часов";
if ($currHour == "6") $chas = "часов";
if ($currHour == "7") $chas = "часов";
if ($currHour == "8") $chas = "часов";
if ($currHour == "9") $chas = "часов";
if ($currHour == "10") $chas = "часов";
if ($currHour == "11") $chas = "часов";
if ($currHour == "12") $chas = "часов";
if ($currHour == "13") $chas = "часов";
if ($currHour == "14") $chas = "часов";
if ($currHour == "15") $chas = "часов";
if ($currHour == "16") $chas = "часов";
if ($currHour == "17") $chas = "часов";
if ($currHour == "18") $chas = "часов";
if ($currHour == "19") $chas = "часа";
if ($currHour == "20") $chas = "часа";
if ($currHour == "21") $chas = "часа";
if ($currHour == "22") $chas = "час";
if ($currHour == "23") $chas = "часов";
if ($currHour == "24") $chas = "часa";
///Здесь не трогать спецuально под время таkuе оkончанuя
if ($dney == "0") $days = "дней";
if ($dney == "1") $days = "день";
if ($dney == "2") $days = "дня";
if ($dney == "3") $days = "дня";
if ($dney == "4") $days = "дня";
if ($dney == "5") $days = "дней";
if ($dney == "6") $days = "дней";
if ($dney == "7") $days = "дней";
if ($dney == "8") $days = "дней";
if ($dney == "9") $days = "дней";
if ($dney == "10") $days = "дней";
if ($dney == "11") $days = "дней";
if ($dney == "12") $days = "дней";
if ($dney == "13") $days = "дней";
if ($dney == "14") $days = "дней";
if ($dney == "15") $days = "дней";
if ($dney == "16") $days = "дней";
if ($dney == "17") $days = "дней";
if ($dney == "18") $days = "дней";
if ($dney == "19") $days = "дней";
if ($dney == "20") $days = "дней";
if ($dney == "21") $days = "день";
if ($dney == "22") $days = "дня";
if ($dney == "23") $days = "дня";
if ($dney == "24") $days = "дня";
if ($dney == "25") $days = "дней";
if ($dney == "26") $days = "дней";
if ($dney == "27") $days = "дней";
if ($dney == "28") $days = "дней";
if ($dney == "29") $days = "дней";
if ($dney == "30") $days = "дней";
if ($dney == "31") $days = "день";

if ($mes == "0") $mon = "месяцев";
if ($mes == "1") $mon = "месяц";
if ($mes == "2") $mon = "месяца";
if ($mes == "3") $mon = "месяца";
if ($mes == "4") $mon = "месяца";
if ($mes == "5") $mon = "месяцев";
if ($mes == "6") $mon = "месяцев";
if ($mes == "7") $mon = "месяцев";
if ($mes == "8") $mon = "месяцев";
if ($mes == "9") $mon = "месяцев";
if ($mes == "10") $mon = "месяцев";
if ($mes == "11") $mon = "месяцев";
if ($mes == "12") $mon = "месяцев";

print "До нового года осталось "; // Меняем еслu надо

if($mes != "0") print $mes." $mon ";
if($dney != "0") print $dney." $days ";
print 24-$ch." $chas ";
print 60-$min." мин. и ";
print 60-$sek." сек.<br/>";

}


function ban () {
    /*

    mysql_query ("Select * from banip WHERE ip = '".$ip_session."' LIMIT 1");
    if(mysql_affected_rows()!=0) {
        
        
        echo 'Ващ IP-адрес находится в черном списке. Доступ на сайт запрещен';
        
    }
    */
}





function simp ( $a ) {
    
    if ( $a == 1 ) $result = 'Подмигнули';
    if ( $a == 2 ) $result = 'Поздаровались';
    if ( $a == 3 ) $result = 'Улыбнулись';
    if ( $a == 4 ) $result = 'Поцеловали';
    if ( $a == 5 ) $result = 'Обняли';
    if ( $a == 6 ) $result = 'Признались в любви';
    if ( $a == 7 ) $result = 'Укусили';
    if ( $a == 8 ) $result = 'Показали язык';
    if ( $a == 9 ) $result = 'Прижались';
    if ( $a == 10 ) $result = 'Влюбились';
    if ( $a == 11 ) $result = 'Пригласили на свидание';
    if ( $a == 12 ) $result = 'Раздели';
    if ( $a == 13 ) $result = 'Поздравили';
    if ( $a == 14 ) $result = 'Жестоко отшили';
    if ( $a == 15 ) $result = 'Послали на Х';
    if ( $a == 16 ) $result = 'Пнули';
    if ( $a == 17 ) $result = 'Предложили выпить';
    if ( $a == 18 ) $result = 'Позвали на свидание';
    if ( $a == 19 ) $result = 'Пожали руку';
    return $result;
}

function simp2 ( $a ) {
    
    if ( $a == 1 ) $result = 'Вам подмигнул пользователь';
    if ( $a == 2 ) $result = 'С вами поздаровался пользователь';
    if ( $a == 3 ) $result = 'Вам улыбнулся пользователь';
    if ( $a == 4 ) $result = 'Вас поцеловал пользователь';
    if ( $a == 5 ) $result = 'Вас обнял пользователь';
    if ( $a == 6 ) $result = 'Вам признался в любви пользователь';
    if ( $a == 7 ) $result = 'Вас укусил пользователь';
    if ( $a == 8 ) $result = 'Вам показал язык пользователь';
    if ( $a == 9 ) $result = 'К вам прижался пользователь';
    if ( $a == 10 ) $result = 'В вас влюбился пользователь';
    if ( $a == 11 ) $result = 'Вас пригласил на свидание пользователь';
    if ( $a == 12 ) $result = 'Вас раздел пользователь';
    if ( $a == 13 ) $result = 'Вас поздравил пользователь';
    if ( $a == 14 ) $result = 'Вас жестоко отшил пользователь';
    if ( $a == 15 ) $result = 'Вас послал на Х пользователь';
    if ( $a == 16 ) $result = 'Вас пнул пользователь';
    if ( $a == 17 ) $result = 'Вам предложил выпить пользователь';
    if ( $a == 18 ) $result = 'Вас позвал на свидание пользователь';
    if ( $a == 19 ) $result = 'Вам пожал руку пользователь';
    return $result;
}


function timeactiv ( $a ) {
    
    
    if ($a>0 && $a<=2000) $result = "Новичок";
    if ($a>2001  && $a<=6000) $result =  "Приспособился";
    if ($a>6001  && $a<=10000) $result =  "Включился в общение";
    if ($a>10001 && $a<=14000) $result =  "Я здесь живу";
    if ($a>14001 && $a<=18000) $result =  "Товарищ сайта";
    if ($a>18001 && $a<=22000) $result =  "Нашёл смысл общения";
    if ($a>22001 && $a<=26000) $result =  "Активный";
    if ($a>26001 && $a<=30000) $result =  "Тусовщик";
    if ($a>30001 && $a<=34000) $result =  "Поселился здесь";
    if ($a>34001 && $a<=38000) $result =  "Опытный";
    if ($a>38001 && $a<=42000) $result =  "Старичок сайта";
    if ($a>42001 && $a<=46000) $result =  "Родился здесь";
    if ($a>46004 && $a<=50000) $result =  "Играет на всём что с кнопками";
    if ($a>50001 && $a<=54000) $result =  "Нашёл смысл жизни";
    if ($a>54001 && $a<=58000) $result =  "Добивается своего";
    if ($a>58001 && $a<=62000) $result =  "ГУРУ САЙТА";
    if ($a>62001 && $a<=66000) $result =  "ПРОФИ";
    if ($a>66001 && $a<=70000) $result =  "Фанат";
    if ($a>70001 && $a<=74000) $result =  "Маньячит по сайту";
    if ($a>74001 && $a<=78000) $result =  "Хочет в админы";
    if ($a>78001 && $a<=9999999999999999) $result =  "ВЫШЕ НЕКУДА<";
    
    
}


function level ( $a ) {
    
    
    if ( $a == 0 ) $result = 'Пользователь';
    if ( $a == 1 ) $result = 'Киллер';
    if ( $a == 2 ) $result = 'Модератор';
    if ( $a == 3 ) $result = 'Ст. Модератор';
    if ( $a == 4 ) $result = 'Администратор';
    if ( $a == 5 ) $result = 'Создатель';
    
    return $result;
}




function horoskop()
{
	global $sethoroskop,$user;

	$server = "http://service.jetdir.ru/horo.php?host=$_SERVER[HTTP_HOST]";
	# Если чего-то нет, то завершаем работу.
if(!isset($user)) return;
if(!isset($user['horo'])|| !isset($user['lhoro'])) return;

 # Изменение настроек
if(isset($_GET['setsend']))
{
	if($user['horo']) $set = 0; else $set = 1;
	mysql_query("UPDATE `profile` SET `horo`='$set' where `id`='$user[id]'");
	$user['horo'] = $set;
}
$sethoroskop = '<a href="?setsend"><u>'.($user['horo']?'Hе присылать':'Присылать').'</u></a> гороскоп<br />*<small>Гороскоп будет присылаться если верно заполнено поле "Дата рождения"</small><br />';
if(isset($set)) return;

# Проверка на существование папки
if(!file_exists(H.'horoskop')) if(!mkdir(H.'horoskop')) return;

# Если гороскоп существует, то подгружаем его, иначе просим сервер выдать нам его!
$datfile = H.'horoskop/'.date("d_m_Y").'.dat';
if(!file_exists($datfile))
{
	$f = fopen($datfile,"w");
	fputs($f, base64_decode(file_get_contents($server)));
	fclose($f);
}
$datfile = unserialize(file_get_contents($datfile));
if(count($datfile)<11 || !isset($datfile['date']) || $datfile['date']!=date("dm")){ unlink(H.'horoskop/'.date("d_m_Y").'.dat'); return; }
# Проверка на то, присылался ли уже гороскоп, а затем на правильность даты рождения
if($user['lhoro'] == date("dm")) return;

if( ($user['d']>31 || $user['d']<1) || ($user['m']>12 || $user['m']<1) ) return;
$d = (int)$user['d'];
$m = (int)$user['m'];
$flag = 0;

# Определяем знак
if(($d>=21 && $m==3) || ($d<=20 && $m==4)) $flag = 1;	// Овен
if(($d>=21 && $m==4) || ($d<=21 && $m==5)) $flag = 2;	// Телец
if(($d>=22 && $m==5) || ($d<=21 && $m==6)) $flag = 3;	// Близнецы
if(($d>=22 && $m==6) || ($d<=22 && $m==7)) $flag = 4;	// Рак
if(($d>=23 && $m==7) || ($d<=23 && $m==8)) $flag = 5;	// Лев
if(($d>=24 && $m==8) || ($d<=23 && $m==9)) $flag = 6;	// Дева
if(($d>=24 && $m==9) || ($d<=23 && $m==10)) $flag = 7;	// Весы
if(($d>=24 && $m==10) || ($d<=22 && $m==11)) $flag = 8;	// Скорпион
if(($d>=23 && $m==11) || ($d<=21 && $m==12)) $flag = 9;	// Стрелец
if(($d>=22 && $m==12) || ($d<=20 && $m==1)) $flag = 10;	// Козерог
if(($d>=21 && $m==1) || ($d<=18 && $m==2)) $flag = 11;	// Водолей
if(($d>=19 && $m==2) || ($d<=20 && $m==3)) $flag = 12;	// Рыбы

$msg = "Гороскоп на сегодня:\r\n".$datfile[$flag];
# Посылаем письмо и делаем отметку о приеме
mysql_query("INSERT INTO `mail` SET `to_user` = '".$user['id']."', `ot_user` = '1', `msg` = '".html($msg)."', `status` = 0, `date` = '".(time() + 120)."'");
mysql_query("UPDATE `profile` SET `lhoro`='".date("dm")."' where `id`='$user[id]'");
}



// ----------------------- Функция обрезки строки с условием -------------------------//
function subtok($string, $chr, $pos, $len = null) {
  return implode($chr, array_slice(explode($chr, $string), $pos, $len));
}

//-------------функция наложения копирайта-------------//
function img_copyright($img)
{

$copy_path = 'http://jamob.ru/cop1.png';
if (isset($copy_path) && $copy_path != null && $copy = @imagecreatefromstring(file_get_contents($copy_path)))
{

#$background_color = imagecolorallocate($copy, 125, 174, 240);

$img_x = imagesx($img);
$img_y = imagesy($img);

$copy_x = imagesx($copy);
$copy_y = imagesy($copy);

#$img = imagecreatetruecolor($copy_x, $copy_y);
#imagecolortransparent($img, $background_color);
#imagefill($img, 0, 0, $background_color); // заливаем подложку прозрачным цветом
#imagecopymerge($img, $copy, 0, 0, 0, 0, $copy_x, $copy_y, 100); // объеденяем изображение с подложкой

$w = intval(min($img_x/2.5, $copy_x, 128));
$h = intval(min($img_y/2.5, $copy_y, 64));

$x_ratio = $w/$copy_x; 
$y_ratio = $h/$copy_y; 

if (($copy_x <= $w) && ($img_y <= $h))
{
	$dstW = $copy_x;
	$dstH = $copy_y;
} 
elseif (($x_ratio * $copy_y) < $h)
{ 
	$dstH = ceil($x_ratio * $copy_y);
	$dstW = $w;
}
else
{
	$dstW = ceil($y_ratio * $copy_x);
	$dstH = $h;
}
imagecopyresampled($img, $copy, $img_x-$dstW, $img_y-$dstH, 0, 0, $dstW, $dstH, $copy_x, $copy_y);

}

return $img;
}


function forum_text ($a, $post, $theme) {
    $user = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `id` = '".num($_SESSION['id'])."'"));
    
    if (empty($user['settforum_simvol'])) $user['settforum_simvol'] = 1000;
    if ( strlen($a) > $user['settforum_simvol'] ) {
        
        $result = substr($a, 0, $user['settforum_simvol']) . '...<br/ ><br/ ><a href="post.php?razdel='.$razdel['id'].'&pod_forum='.$podforum['id'].'&theme='.$theme.'&post='.$post.'"><b>Читать полностью...</b></a><br/ >';
                  
        
        
    } else {
        
        $result = $a;
        
    }
    
    return $result;
    
}

function rating5 ($str) {
    
$reyting = $str;
if ($reyting>='0' && $reyting<='100'){
$a = '<div style="border-top:1px solid #ccccaa;background-color:#eeeedd;height:17px;width:215px"><div style="background-color:#cccccc;height:17px;width:'.$reyting.'%;"></div><span style="position:relative;top:-15px;left:45%;right:57%;color:#888888;">'.$reyting.'%</span></div>';
}
if ($reyting>='101' && $reyting<='200'){
$z='100';
$s=$reyting - $z;
$a = '<div style="border-top:1px solid #ccccaa;background-color:#90ee90;height:17px;width:215px"><div style="background-color:#32cd32;height:17px;width:'.$s.'%;"></div><span style="position:relative;top:-15px;left:45%;right:57%;color:#008000;">'.$reyting.'%</span></div>';
}
if ($reyting>='201' && $reyting<='300'){
$z='200';
$s=$reyting - $z;
$a = '<div style="border-top:1px solid #ccccaa;background-color:#ffa07a;height:17px;width:215px"><div style="background-color:#ff6347;height:17px;width:'.$s.'%;"></div><span style="position:relative;top:-15px;left:45%;right:57%;color:#b22222;">'.$reyting.'%</span></div>';
}
if ($reyting>='301' && $reyting<='400'){
$z='300';
$s=$reyting - $z;
$a = '<div style="border-top:1px solid #ccccaa;background-color:#ffa07a;height:17px;width:215px"><div style="background-color:#ff6347;height:17px;width:'.$s.'%;"></div><span style="position:relative;top:-15px;left:45%;right:57%;color:#b22222;">'.$reyting.'%</span></div>';
}
if ($reyting>='401' && $reyting<='500'){
$z='400';
$s=$reyting - $z;
$a = '<div style="border-top:1px solid #ccccaa;background-color:#ff6347;height:17px;width:215px"><div style="background-color:#ff0000;height:17px;width:'.$s.'%;"></div><span style="position:relative;top:-15px;left:45%;right:57%;color:#b22222;">'.$reyting.'%</span></div>';
}
if ($reyting>='501' && $reyting<='600'){
$z='500';
$s=$reyting - $z;
$a = '<div style="border-top:1px solid #ccccaa;background-color:#ff6347;height:17px;width:215px"><div style="background-color:#ff0000;height:17px;width:'.$s.'%;"></div><span style="position:relative;top:-15px;left:45%;right:57%;color:#b22222;">'.$reyting.'%</span></div>';
}
if ($reyting>='601' && $reyting<='700'){
$z='600';
$s=$reyting - $z;
$a = '<div style="border-top:1px solid #ccccaa;background-color:#ff6347;height:17px;width:215px"><div style="background-color:#ff0000;height:17px;width:'.$s.'%;"></div><span style="position:relative;top:-15px;left:45%;right:57%;color:#b22222;">'.$reyting.'%</span></div>';
}
if ($reyting>='701' && $reyting<='800'){
$z='700';
$s=$reyting - $z;
$a = '<div style="border-top:1px solid #ccccaa;background-color:#ff6347;height:17px;width:215px"><div style="background-color:#ff0000;height:17px;width:'.$s.'%;"></div><span style="position:relative;top:-15px;left:45%;right:57%;color:#b22222;">'.$reyting.'%</span></div>';
}
if ($reyting>='801' && $reyting<='900'){
$z='800';
$s=$reyting - $z;
$a = '<div style="border-top:1px solid #ccccaa;background-color:#ff6347;height:17px;width:215px"><div style="background-color:#ff0000;height:17px;width:'.$s.'%;"></div><span style="position:relative;top:-15px;left:45%;right:57%;color:#b22222;">'.$reyting.'%</span></div>';
}
if ($reyting>='901' && $reyting<='1000'){
$z='900';
$s=$reyting - $z;
$a = '<div style="border-top:1px solid #ccccaa;background-color:#ff6347;height:17px;width:215px"><div style="background-color:#ff0000;height:17px;width:'.$s.'%;"></div><span style="position:relative;top:-15px;left:45%;right:57%;color:#b22222;">'.$reyting.'%</span></div>';
}
if ($reyting>='1001' && $reyting<='1101'){
$z='1000';
$s=$reyting - $z;
$a = '<div style="border-top:1px solid #ccccaa;background-color:#ff6347;height:17px;width:215px"><div style="background-color:#ff0000;height:17px;width:'.$s.'%;"></div><span style="position:relative;top:-15px;left:45%;right:57%;color:#b22222;">'.$reyting.'%</span></div>';
}
if ($reyting>='1101' && $reyting<='1200'){
$z='1100';
$s=$reyting - $z;
$a = '<div style="border-top:1px solid #ccccaa;background-color:#ff6347;height:17px;width:215px"><div style="background-color:#ff0000;height:17px;width:'.$s.'%;"></div><span style="position:relative;top:-15px;left:45%;right:57%;color:#b22222;">'.$reyting.'%</span></div>';
}
if ($reyting>='1201' && $reyting<='1300'){
$z='1200';
$s=$reyting - $z;
$a = '<div style="border-top:1px solid #ccccaa;background-color:#ff6347;height:17px;width:215px"><div style="background-color:#ff0000;height:17px;width:'.$s.'%;"></div><span style="position:relative;top:-15px;left:45%;right:57%;color:#b22222;">'.$reyting.'%</span></div>';
}
if ($reyting>='1301' && $reyting<='1400'){
$z='1300';
$s=$reyting - $z;
$a = '<div style="border-top:1px solid #ccccaa;background-color:#ff6347;height:17px;width:215px"><div style="background-color:#ff0000;height:17px;width:'.$s.'%;"></div><span style="position:relative;top:-15px;left:45%;right:57%;color:#b22222;">'.$reyting.'%</span></div>';
}
if ($reyting>='1401' && $reyting<='1500'){
$z='1400';
$s=$reyting - $z;
$a = '<div style="border-top:1px solid #ccccaa;background-color:#ff6347;height:17px;width:215px"><div style="background-color:#ff0000;height:17px;width:'.$s.'%;"></div><span style="position:relative;top:-15px;left:45%;right:57%;color:#b22222;">'.$reyting.'%</span></div>';
}
if ($reyting>='1501' && $reyting<='1600'){
$z='1500';
$s=$reyting - $z;
$a = '<div style="border-top:1px solid #ccccaa;background-color:#ff6347;height:17px;width:215px"><div style="background-color:#ff0000;height:17px;width:'.$s.'%;"></div><span style="position:relative;top:-15px;left:45%;right:57%;color:#b22222;">'.$reyting.'%</span></div>';
}

return $a;

}


function mat($var)
{
/*
$pattern = "/\w{0,5}[хx]([хx\s\!@#\$%\^&*+-\|\/]{0,6})[уy]([уy\s\!@#\$%\^&*+-\|\/]{0,6})[ёiлeеюийя]\w{0,7}|\w{0,6}[пp]([пp\s\!@#\$%\^&*+-\|\/]{0,6})[iие]([iие\s\!@#\$%\^&*+-\|\/]{0,6})[3зс]([3зс\s\!@#\$%\^&*+-\|\/]{0,6})[дd]\w{0,10}|[сcs][уy]([уy\!@#\$%\^&*+-\|\/]{0,6})[4чkк]\w{1,3}|\w{0,4}[bб]([bб\s\!@#\$%\^&*+-\|\/]{0,6})[lл]([lл\s\!@#\$%\^&*+-\|\/]{0,6})[yя]\w{0,10}|\w{0,8}[её][bб][лске@eыиаa][наи@йвл]\w{0,8}|\w{0,4}[еe]([еe\s\!@#\$%\^&*+-\|\/]{0,6})[бb]([бb\s\!@#\$%\^&*+-\|\/]{0,6})[uу]([uу\s\!@#\$%\^&*+-\|\/]{0,6})[н4ч]\w{0,4}|\w{0,4}[еeё]([еeё\s\!@#\$%\^&*+-\|\/]{0,6})[бb]([бb\s\!@#\$%\^&*+-\|\/]{0,6})[нn]([нn\s\!@#\$%\^&*+-\|\/]{0,6})[уy]\w{0,4}|\w{0,4}[еe]([еe\s\!@#\$%\^&*+-\|\/]{0,6})[бb]([бb\s\!@#\$%\^&*+-\|\/]{0,6})[оoаa@]([оoаa@\s\!@#\$%\^&*+-\|\/]{0,6})[тnнt]\w{0,4}|\w{0,10}[ё]([ё\!@#\$%\^&*+-\|\/]{0,6})[б]\w{0,6}|\w{0,4}[pп]([pп\s\!@#\$%\^&*+-\|\/]{0,6})[иeеi]([иeеi\s\!@#\$%\^&*+-\|\/]{0,6})[дd]([дd\s\!@#\$%\^&*+-\|\/]{0,6})[oоаa@еeиi]([oоаa@еeиi\s\!@#\$%\^&*+-\|\/]{0,6})[рr]\w{0,12}/iu";
 
$replacement = '<font color="#FF0000">[censored]</font>';
$var = preg_replace($pattern, $replacement, $var);
*/
return $var;
}

function zodiak($a, $b, $c)
{

	
	$d = $a;
	$m = $b;
	$g = $c;

	if ($d != NULL and $m != NULL and $g != NULL) {
	if ($m == 1);
	elseif ($m == 2);
	elseif ($m == 3);
	elseif ($m == 4);
	elseif ($m == 5);
	elseif ($m == 6);
	elseif ($m == 7);
	elseif ($m == 8);
	elseif ($m == 9);
	elseif ($m == 10);
	elseif ($m == 11);
	elseif ($m == 12);

	$birth = date('Y')-$g;
	if (date('n') < $m) $birth = $birth-1;
	elseif (date('n') == $m and date('j') < $d) $birth = $birth-1;

# Определяем знак
if(($d>=21 && $m==3) || ($d<=20 && $m==4)) $znak = '<a href="zodiak.php?act=1&id='.$user['id'].'">Овен</a>';	// Овен
if(($d>=21 && $m==4) || ($d<=21 && $m==5)) $znak = '<a href="zodiak.php?act=2&id='.$user['id'].'">Телец</a>';;	// Телец
if(($d>=22 && $m==5) || ($d<=21 && $m==6)) $znak = '<a href="zodiak.php?act=3&id='.$user['id'].'">Близнецы</a>';	// Близнецы
if(($d>=22 && $m==6) || ($d<=22 && $m==7)) $znak = '<a href="zodiak.php?act=4&id='.$user['id'].'">Рак</a>';	// Рак
if(($d>=23 && $m==7) || ($d<=23 && $m==8)) $znak = '<a href="zodiak.php?act=5&id='.$user['id'].'">Лев</a>';	// Лев
if(($d>=24 && $m==8) || ($d<=23 && $m==9)) $znak = '<a href="zodiak.php?act=6&id='.$user['id'].'">Дева</a>';	// Дева
if(($d>=24 && $m==9) || ($d<=23 && $m==10)) $znak = '<a href="zodiak.php?act=7&id='.$user['id'].'">Весы</a>';	// Весы
if(($d>=24 && $m==10) || ($d<=22 && $m==11)) $znak = '<a href="zodiak.php?act=8&id='.$user['id'].'">Скорпион</a>';	// Скорпион
if(($d>=23 && $m==11) || ($d<=21 && $m==12))  $znak = '<a href="zodiak.php?act=9&id='.$user['id'].'">Стрелец</a>';	// Стрелец
if(($d>=22 && $m==12) || ($d<=20 && $m==1)) $znak = '<a href="zodiak.php?act=10&id='.$user['id'].'">Козерог</a>';	// Козерог
if(($d>=21 && $m==1) || ($d<=18 && $m==2)) $znak = '<a href="zodiak.php?act=11&id='.$user['id'].'">Водолей</a>';	// Водолей
if(($d>=19 && $m==2) || ($d<=20 && $m==3)) $znak = '<a href="zodiak.php?act=12&id='.$user['id'].'">Рыбы</a>';	// Рыбы


   return $znak;
}
}


function ubejd ($a, $b) {
    
    if ($a == 1) $result = strtr($b, array( '0'=>'NO', '1'=>'Умеренные', '2'=>'Индиффицерентные', '3'=>'Комунистические', '4'=>'Социалистические', '5'=>'Либеральные', '6'=>'Консервативные', '7'=>'Монархические', '8'=>'Консервативные', '9'=>'Ультраконсервативные', '10'=>'Либертарианские'));
    if ($a == 2) $result = strtr($b, array( '0'=>'NO', '1'=>'Иудаизм', '2'=>'Православие', '3'=>'Католицизм', '4'=>'Протестанизм', '5'=>'Ислам', '6'=>'Будизм', '7'=>'Конфуцианство', '8'=>'Светский гуманизм'));
    if ($a == 3) $result = strtr($b, array( '0'=>'NO', '1'=>'Семья и дети', '2'=>'Карьера и деньги', '3'=>'Развлечения и отдых', '4'=>'Наука и исследования', '5'=>'Совершенствование мира', '6'=>'Саморазвитие', '7'=>'Красота и искуство', '8'=>'Слава и влияние'));
    if ($a == 4) $result = strtr($b, array( '0'=>'NO', '1'=>'Ум и креативность', '2'=>'Доброта и честность', '3'=>'Красота и здоровье', '4'=>'Власть и богатство', '5'=>'Смелость и упорство', '6'=>'Юмор и жизнелюбие'));

return $result;    
}

function country ($a) {
    $result = strtr($a, array( '0'=>'NO', '1'=>'Украина', '2'=>'Россия', '3'=>'Белоруссия', '4'=>'Узбекистан', '5'=>'Казахстан', '6'=>'Туркменстан', '7'=>'Киргизия', '8'=>'Азербайджан', '9'=>'Армения', '10'=>'Молдавия', '11'=>'Таджикистан', '12'=>'Латвия', '13'=>'Литва', '14'=>'Эстония', '15'=>'Грузия'));
return $result;  
}

function ocenk ($a) {
    $result = strtr($a, array( '1'=>'Красивый', '2'=>'Мужественный', '3'=>'Божественный', '4'=>'Жгучий', '5'=>'Дерзкий', '6'=>'Скромный', '7'=>'Стильный', '8'=>'Сладкий', 
                               '9'=>'Красивая', '10'=>'Женственная', '11'=>'Божественная', '12'=>'Жгучая', '13'=>'Дерзкая', '14'=>'Скромная', '15'=>'Стильная', '16'=>'Сладкая' ));
    if (empty($result))
    return 'Error';
    else
    return $result;
}
?>
